uses Graph;

const
  src  = 'Images\';
  dest = 'Images\';

function Str (number : longint) : string;
var
  st : string;
begin
  System.Str (number, st);
  Str := st
end;

procedure OpenGraph;
var
  gd, gm : integer;
begin
  gd := EGA;
  gm := EGAHi;
  initgraph (gd, gm, 'D:\BPASCAL\BGI')
end;

procedure Load (filename : string);
var
  f    : file;
  ptr  : pointer;
  size : longint;
begin
  assign (f, filename);
  reset (f, 1);
  Size := FileSize (f);
  GetMem (ptr, Size);
  BlockRead (f, ptr^, Size);
  PutImage (0, 0, ptr^, NormalPut);
  FreeMem (ptr, Size);
  close (f)
end;

procedure Save (x, y : integer; filename : string);
var
  f    : file;
  ptr  : pointer;
  size : longint;
begin
  assign (f, filename);
  rewrite (f, 1);
  Size := ImageSize (x, y, x+29, y+11);
  GetMem (ptr, Size);
  GetImage (x, y, x+29, y+11, ptr^);
  BlockWrite (f, ptr^, Size);
  FreeMem (ptr, Size);
  close (f)
end;

procedure Create (Letter : char);
var
  f       : file;
  i, x, y : integer;
begin
  for i := 2 to 7 do begin
    for x := 0 to 29 do
      for y := 0 to 14 do begin
        if GetPixel (x, y) = White then
          PutPixel (50+X, Y, White);
        if GetPixel (x, y) = LightBlue then
          PutPixel (50+X, Y, GetPixel (x, y) - 1+i);
        if GetPixel (x, y) = Blue then
          PutPixel (50+X, Y, GetPixel (x, y) - 1+i)
      end;
    Save (50, 0, dest+Letter+'BRICK'+Str (i)+'.IMG');
    readln
  end
end;

begin
  OpenGraph;
  Load (src+'CBRICK1.IMG');
  Create ('C');
  CloseGraph;
end.